org.omg.CORBA

## Class TRANSACTION_UNAVAILABLE

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.TRANSACTION_UNAVAILABLE

- All Implemented Interfaces:
    Serializable

      public final class TRANSACTION_UNAVAILABLE
      extends SystemException

  The CORBA `TRANSACTION_UNAVAILABLE` exception is thrown by the ORB when it cannot process a transaction service context because its connection to the Transaction Service has been abnormally terminated. It contains a minor code, which gives information about what caused the exception, and a completion status. It may also contain a string describing the exception. The OMG CORBA core 2.4 specification has details.
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TRANSACTION_UNAVAILABLE()` Constructs a `TRANSACTION_UNAVAILABLE` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
    `TRANSACTION_UNAVAILABLE(int minor, CompletionStatus completed)` Constructs a `TRANSACTION_UNAVAILABLE` exception with the specified minor code and completion status.
    `TRANSACTION_UNAVAILABLE(String s)` Constructs a `TRANSACTION_UNAVAILABLE` exception with the specifieddescription message, a minor code of 0, and a completion state of COMPLETED_NO.
    `TRANSACTION_UNAVAILABLE(String s, int minor, CompletionStatus completed)` Constructs a `TRANSACTION_UNAVAILABLE` exception with the specified description message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TRANSACTION_UNAVAILABLE

          public TRANSACTION_UNAVAILABLE()

      Constructs a `TRANSACTION_UNAVAILABLE` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

    - #### TRANSACTION_UNAVAILABLE

          public TRANSACTION_UNAVAILABLE(String s)

      Constructs a `TRANSACTION_UNAVAILABLE` exception with the specifieddescription message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a detail message

    - #### TRANSACTION_UNAVAILABLE

          public TRANSACTION_UNAVAILABLE(int minor,
                                         CompletionStatus completed)

      Constructs a `TRANSACTION_UNAVAILABLE` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### TRANSACTION_UNAVAILABLE

          public TRANSACTION_UNAVAILABLE(String s,
                                         int minor,
                                         CompletionStatus completed)

      Constructs a `TRANSACTION_UNAVAILABLE` exception with the specified description message, minor code, and completion status.
      Parameters:
        `s` - the String containing a description message
        `minor` - the minor code
        `completed` - the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.